Name:          async
Version:       1.4.1
Release:       7%{?dist}
Summary:       Building blocks for asynchronous Java processing
License:       BSD
URL:           https://github.com/stumbleupon/async
Source0:       https://github.com/OpenTSDB/async/archive/v%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
This Java library provides some useful building blocks to build
high-performance multi-threaded asynchronous applications in Java.
Its implementation was inspired by Twisted's asynchronous library
(twisted.internet.defer).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
# Cleanup
rm -r  .mvn-compat
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

# Unwanted
%pom_remove_plugin :maven-gpg-plugin pom.xml.in
%pom_remove_plugin :maven-javadoc-plugin pom.xml.in
%pom_remove_plugin :maven-source-plugin pom.xml.in

%pom_xpath_remove pom:build/pom:sourceDirectory pom.xml.in
%pom_xpath_inject pom:build "
<sourceDirectory>src</sourceDirectory>
<resources>
    <resource>
        <directory>src/</directory>
        <excludes>
            <exclude>**/*.java</exclude>
        </excludes>
    </resource>
</resources>" pom.xml.in

# Fix manifest entries
%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin pom.xml.in "
<configuration>
  <archive>
    <manifest>
      <addClasspath>false</addClasspath>
      <addDefaultImplementationEntries>true</addDefaultImplementationEntries>
      <addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>
    </manifest>
  </archive>
</configuration>"

%mvn_file : %{name}

%build

# Generate POM file
make %{?_smp_mflags} pom.xml

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc AUTHORS NEWS README THANKS
%license COPYING

%files javadoc -f .mfiles-javadoc
%license COPYING

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jul 20 2015 gil cattaneo <puntogil@libero.it> 1.4.1-1
- update to 1.4.1

* Mon Nov 25 2013 gil cattaneo <puntogil@libero.it> 1.3.1-1
- initial rpm
